Last modified: 13 April 2009
Name: H5Screate_simple
Signature:
  hid_t `H5Screate_simple`(int `rank`, const hsize_t * `dims`, const hsize_t * `maxdims` )

Purpose:
  Creates a new simple dataspace and opens it for access.

Description:
  `H5Screate_simple` creates a new simple dataspace and opens it for access, returning a dataset identifier.

  `rank` is the number of dimensions used in the dataspace.

  `dims` is a one-dimensional array of size `rank` specifying the size of each dimension of the dataset. `maxdims` is an array of the same size specifying the upper limit on the size of each dimension. `maxdims` may be the null pointer, in which case the upper limit is the same as `dims`.

  If an element of `maxdims` is `H5S_UNLIMITED`, the maximum size of the corresponding dimension is unlimited. Otherwise, no element of `maxdims` should be smaller than the corresponding element of `dims`.

  Note that any dataset with an unlimited dimension must also be chunked; see `H5Pset_chunk`.

  The dataspace identifier returned from this function must be released with `H5Sclose` or resource leaks will occur.

Parameters:

  int `rank` | Number of dimensions of dataspace.
  const hsize_t * `dims` | An array of the size of each dimension.
  const hsize_t * `maxdims` | An array of the maximum size of each dimension.

Returns:
  Returns a dataspace identifier if successful; otherwise returns a negative value.

See Also:
  `H5Pset_chunk`

Fortran90 Interface: h5screate_simple_f

      SUBROUTINE h5screate_simple_f(rank, dims, space_id, hdferr, maxdims)
        IMPLICIT NONE
        INTEGER, INTENT(IN) :: rank             ! Number of dataspace dimensions
        INTEGER(HSIZE_T), INTENT(IN) :: dims(*) ! Array with the dimension sizes
        INTEGER(HID_T), INTENT(OUT) :: space_id ! Dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
        INTEGER(HSIZE_T), OPTIONAL, INTENT(IN) :: maxdims(*)
                                                ! Array with the maximum
                                                ! dimension sizes
      END SUBROUTINE h5screate_simple_f